<div class="form-group">From Date:
    <p-calendar [(ngModel)]="fromDate" (onSelect)="onChangeDate($event)" [monthNavigator]="true" [yearNavigator]="true"
        yearRange="2000:2030"></p-calendar>
    To Date:
    <p-calendar [(ngModel)]="toDate" (onSelect)="onChangeDate($event)" [monthNavigator]="true" [yearNavigator]="true"
        yearRange="2000:2030"></p-calendar>
</div>
<div class="form-group">
    <p-table [value]="summary" [scrollable]="true" scrollHeight="300px">
        <ng-template pTemplate="header">
            <tr>
                <th>User</th>
                <th [pSortableColumn]="'leave'">Leave
                    <p-sortIcon [field]="'leave'"></p-sortIcon>
                </th>
                <th [pSortableColumn]="'leavespermonth'">Leaves per month
                    <p-sortIcon [field]="'leavespermonth'"></p-sortIcon>
                </th>
                <th [pSortableColumn]="'office'">Office
                    <p-sortIcon [field]="'office'"></p-sortIcon>
                </th>
                <th [pSortableColumn]="'officespermonth'">Offices per month
                    <p-sortIcon [field]="'officespermonth'"></p-sortIcon>
                </th>
                <th [pSortableColumn]="'home'">Home
                    <p-sortIcon [field]="'home'"></p-sortIcon>
                </th>
                <th [pSortableColumn]="'homespermonth'">Homes per month
                    <p-sortIcon [field]="'homespermonth'"></p-sortIcon>
                </th>
            </tr>
        </ng-template>
        <ng-template pTemplate="body" let-summary>
            <tr>
                <td>{{summary.name}}</td>
                <td>{{summary.leave}}</td>
                <td>{{summary.leavespermonth}}</td>
                <td>{{summary.office}}</td>
                <td>{{summary.officespermonth}}</td>
                <td>{{summary.home}}</td>
                <td>{{summary.homespermonth}}</td>
            </tr>
        </ng-template>
    </p-table>
</div>